#pragma once
#include "squirrel.h"
#include "sqstdaux.h"
#include "sqstdblob.h"
#include "sqstdio.h"
#include "sqstdmath.h"
#include "sqstdstring.h"
#include "sqstdsystem.h"
#include "SqrReg_User.hpp"         //用户类
#include "SqrReg_Packet.hpp"       //发包类
#include "SqrReg_World.hpp"        //世界类
#include "SqrReg_Game.hpp"         //游戏类
#include "SqrReg_GameManager.hpp"  //游戏管理器类
#include "SqrReg_Party.hpp"        //队伍类
#include "SqrReg_Inven.hpp"        //背包类
#include "SqrReg_Battle_Field.hpp" //战斗对象类
#include "SqrReg_Dungeon.hpp"      //副本类
#include <iostream>
#include <stdarg.h>

static void GlobaRegisterSquirrel(HSQUIRRELVM v)
{
    RegisterBattleField(v); // 战斗对象类
    RegisterDungeon(v);     // 副本类
    RegisterInven(v);       // 背包类
    RegisterGameManager(v); // 游戏管理器类
    RegisterParty(v);       // 队伍类
    RegisterGame(v);        // 游戏类
    RegisterWorld(v);       // 世界类
    RegisterPacket(v);      // 发包类
    RegisterUser(v);        // 用户类
}